Show / Hide Table of Contents

# Enum RetryMode

Specifies how a request should act in the case of an error.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    [Flags]
    public enum RetryMode

### Fields

Name | Description
--- | ---
AlwaysFail | If a request fails, an exception is thrown immediately.
AlwaysRetry | Continuously retry a request until it times out, its cancel token is triggered, or the server responds with a non-502 error.
Retry502 | Retry if a request failed due to an HTTP error 502.
RetryRatelimit | Retry if a request failed due to a rate-limit.
RetryTimeouts | Retry if a request timed out.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()